n = int(input())
res = [0] * n
res[0] = 1
for i in range(n - 1):
    print("?", i + 1, i + 2)
    a = int(input())
    if a == 1:
        res[i + 1] = res[i]
    elif res[i] == 1:
        res[i + 1] = 2
    else:
        res[i + 1] = 1
print("Ready!")
if 2 in res:
    print(2)
else:
    print(1)
print(' '.join(map(str, res)))